// @flow

declare class TextBuffer$MarkerLayer {
  copy(): this;
  destroy(): void;
  findMarkers(options: TextBuffer$FindMarkersOptions): TextBuffer$Marker[]; // FIXME
  getMarker(id: number): TextBuffer$Marker; // FIXME
  getMarkerCount(): number;
  getMarkers(): TextBuffer$Marker[];
  isDestroyed(): boolean; // FIXME
  markPosition(
    position: TextBuffer$PointLike,
    properties: TextBuffer$MarkerOptions,
  ): TextBuffer$Marker;
  markRange(
    range: TextBuffer$RangeLike,
    properties: TextBuffer$MarkerOptions,
  ): TextBuffer$Marker;
  onDidDestroy(callback: () => mixed): EventKit$Disposable;
  onDidUpdate(callback: () => mixed): EventKit$Disposable;
  onDidCreateMarker(callback: (marker: TextBuffer$Marker) => mixed): EventKit$Disposable;
}
