// @flow

declare class TextBuffer$Point {
  static fromObject(object: TextBuffer$PointLike, copy?: boolean): this;
  static max(pointA: TextBuffer$PointLike, pointB: TextBuffer$PointLike): this;
  static min(pointA: TextBuffer$PointLike, pointB: TextBuffer$PointLike): this;
  constructor(row: number, column: number): this;
  column: number;
  row: number;
  compare(other: TextBuffer$PointLike): TextBuffer$Comparison;
  copy(): this;
  freeze(): this;
  isEqual(other: TextBuffer$PointLike): boolean;
  isGreaterThan(other: TextBuffer$PointLike): boolean;
  isGreaterThanOrEqual(other: TextBuffer$PointLike): boolean;
  isLessThan(other: TextBuffer$PointLike): boolean;
  isLessThanOrEqual(other: TextBuffer$PointLike): boolean;
  negate(): this;
  serialize(): TextBuffer$PointCompatible;
  toArray(): TextBuffer$PointCompatible;
  toString(): string;
  translate(other: TextBuffer$PointLike): this;
  traverse(other: TextBuffer$PointLike): this;
}
