// @flow

declare module "text-buffer" {
  declare var Marker: Class<TextBuffer$Marker>;
  declare var MarkerLayer: Class<TextBuffer$MarkerLayer>;
  declare var Point: Class<TextBuffer$Point>;
  declare var Range: Class<TextBuffer$Range>;
  declare var TextBuffer: Class<TextBuffer$TextBuffer>;
  declare type FindMarkersOptions = TextBuffer$FindMarkersOptions
  declare type MarkerOptions = TextBuffer$MarkerOptions
  declare type Comparison = TextBuffer$Comparison
  declare type MarkerInvalidationStrategy = TextBuffer$MarkerInvalidationStrategy
  declare type PointCompatible = TextBuffer$PointCompatible
  declare type PointLike = TextBuffer$PointLike
  declare type RangeCompatible = TextBuffer$RangeCompatible
  declare type RangeLike = TextBuffer$RangeLike
}
