// @flow

declare class TextBuffer$Marker {
  clearTail(properties?: {
    [keys: string]: mixed;
  }): void | boolean;
  compare(other: this): TextBuffer$Comparison;
  copy(properties?: {
    [keys: string]: mixed;
  }): null | this; // FIXME: see comments in docs
  destroy(): void;
  getRange(): TextBuffer$Range;
  getEndPosition(): TextBuffer$Point;
  getHeadPosition(): TextBuffer$Point;
  getInvalidationStrategy(): TextBuffer$MarkerInvalidationStrategy;
  getProperties(): {
    [keys: string]: mixed; // FIXME: can this be refined?
  };
  getRange(): TextBuffer$Range;
  getStartPosition(): TextBuffer$Point;
  getTailPosition(): TextBuffer$Point;
  hasTail(): boolean;
  isDestroyed(): boolean;
  isEqual(other: this): boolean;
  isExclusive(): boolean;
  isReversed(): boolean;
  isValid(): boolean;
  onDidChange(callback: (event: {
    hadTail: boolean;
    hasTail: boolean;
    isValid: boolean;
    newHeadPosition: TextBuffer$Point;
    newTailPosition: TextBuffer$Point;
    oldHeadPosition: TextBuffer$Point;
    oldProperties: {
      [keys: string]: mixed; // FIXME
    };
    oldTailPosition: TextBuffer$Point;
    newProperties: {
      [keys: string]: mixed; // FIXME
    };
    textChanged: boolean;
    wasValid: boolean;
  }) => mixed): EventKit$Disposable;
  onDidDestroy(callback: () => mixed): EventKit$Disposable;
  plantTail(properties?: { // FIXME: properties seems unused
    [keys: string]: mixed;
  }): void | boolean;
  setHeadPosition(
    position: TextBuffer$PointLike,
    properties?: {
      [keys: string]: mixed;
    },
  ): void | boolean;
  setProperties(properties: {
    [keys: string]: mixed;
  }): void | boolean;
  setRange(
    range: TextBuffer$Range,
    properties?: {
      [keys: string]: mixed;
    },
  ): void | boolean; // FIXME
  setTailPosition(
    bufferPosition: TextBuffer$PointLike,
    properties?: {
      [keys: string]: mixed;
    },
  ): void | boolean;
}
